Bug 854111 - libvncserver-devel lacks Requires: zlib-devel
Summary: libvncserver-devel lacks Requires: zlib-devel
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: libvncserver
Version: 18
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Rex Dieter
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-09-04 04:41 UTC by Ralf Corsepius
Modified: 2013-02-28 07:10 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-02-28 07:07:02 UTC


Attachments (Terms of Use)

Description Ralf Corsepius 2012-09-04 04:41:42 UTC
Description of problem:
libvncserver-devel lacks Requires: zlib-devel

Version-Release number of selected component (if applicable):
All currently released versions of libvncserver-devel in Fedora.

How reproducible:
Always.

Steps to Reproduce:
# grep zlib /usr/include/rfb/*.h
... 
#include <zlib.h>
...

# ldd /usr/lib/libvncserver.so | grep libz
	libz.so.1 => /lib/libz.so.1 (0xf7707000)
  
Actual results:

No "R: zlib-devel":
# rpm -q --requires -p libvncserver-devel-0.9.9-3.fc18.i686.rpm 
/bin/sh  
/usr/bin/pkg-config  
coreutils  
libvncclient.so.0  
libvncserver(x86-32) = 0.9.9-3.fc18
libvncserver.so.0  
rpmlib(CompressedFileNames) <= 3.0.4-1
rpmlib(FileDigests) <= 4.6.0-1
rpmlib(PayloadFilesHavePrefix) <= 4.0-1
rpmlib(PayloadIsXz) <= 5.2-1


Expected results:
libvncserver-devel to "Require: zlib-devel".

Comment 1 Fedora End Of Life 2013-01-16 17:10:44 UTC
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 2 Fedora End Of Life 2013-02-13 21:33:57 UTC
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 3 Rex Dieter 2013-02-14 16:48:36 UTC
still valid, sorry forgot about getting the nagmail.  fixing now.

Comment 4 Fedora Update System 2013-02-14 18:49:25 UTC
libvncserver-0.9.9-7.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/libvncserver-0.9.9-7.fc18

Comment 5 Fedora Update System 2013-02-14 18:50:22 UTC
libvncserver-0.9.9-7.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/libvncserver-0.9.9-7.fc17

Comment 6 Fedora Update System 2013-02-16 00:59:47 UTC
Package libvncserver-0.9.9-7.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing libvncserver-0.9.9-7.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-2531/libvncserver-0.9.9-7.fc17
then log in and leave karma (feedback).

Comment 7 Fedora Update System 2013-02-28 07:07:03 UTC
libvncserver-0.9.9-7.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2013-02-28 07:10:56 UTC
libvncserver-0.9.9-7.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.